<div class="rockets-container">
    <h1>Rockets</h1>
    <div class="card-container">
        <button class="card card-small" (click)="getRockets()" *ngIf="rockets.length === 0">
            <span>Load Rockets</span>
        </button>
    </div>
    <div>
        <app-rocket-details [foo]="rocket" *ngFor="let rocket of rockets"></app-rocket-details>
    </div>
</div>